This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
#1
Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
Upgrading from ZPanel 10.1.* to Sentora 1.0.3 is now available for testing on non-live environments.

I've finished my first round of testing on CentOS 6 ZPanel 10.1.0 up to Sentora 1.0.3 and all seems well.

So anyone who is experianced with ZPanel/Sentora and would like to TEST the upgrader on a development system (NOT A LIVE SYSTEM) please have a go.

https://zvps.uk/sentora/upgrade

The upgrade works by:

[*]moving ZPanel directories into the correct place, removing all core and core modules (excluding cnf settings).
[*]extracting the mysql password from the existing zpanel cnf file
[*]performing a fresh install of sentora with the cnf file removed
[*]upgrading the zpanel databases to sentora databases
[*]installing new /etc/sentora/configs as coping with modifications would be a nightmare


This updater would have been much easier if we had made smaller changes in regular releases, however the changes made from ZPanel 10.1.0 to Sentora to date have been many.

If anyone finds any issues with the upgrade please add an issue on github with the Label ZPanel Upgrade:

https://github.com/sentora/sentora-insta...is%3Aissue

Once we've had some feedback from beta testers of the upgrade we can look at adding these instructions to the sentora docs and putting out an official upgrade announcement.
Reply
Thanks given by: TGates , Fusioneko , jacobg830 , buecker , Bart , bbspike
#2
RE: Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
Very very nice Kandrews!

Going to give it a shot on a Centos 6.5 Zpanel 1.0.1.0 server. It´s an old image from a production server with 34 clients.

Keep you posted if somethings comes up.
[Image: logo2.png]

My being on this forum is all personal and all is done here by me has nothing to with the company Web Improved I work for Smile
Reply
Thanks given by:
#3
RE: Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
Thanks! Please save the terminal output and let me know as much info as you can if anything goes wrong, however fingers crossed Smile

Are you able to restore this old image easily to have another go if needed?
Reply
Thanks given by:
#4
RE: Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
I will make a backup image of this server as it is right now.

I will test it this weekend.
[Image: logo2.png]

My being on this forum is all personal and all is done here by me has nothing to with the company Web Improved I work for Smile
Reply
Thanks given by:
#5
RE: Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
Cheers Smile Let us know how it goes
Reply
Thanks given by:
#6
RE: Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
I noticed some recent Debian support as well. Big Grin How stable is things so far on that front? I'm still running zpanel on Debian. From about two years ago, until the last release. I've been waiting quite awhile.

I'd love to hear how it goes- otherwise I'll just wait for the new hardware and install Sentora fresh in a few months.
Reply
Thanks given by:
#7
RE: Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
I don't see the script kevin?

Did you create the new users for Proftpd ? There is some tricky changes too.

M B
No support using PM (Auto adding to IGNORE list!), use the forum. 
How to ask
Coldfusion Freelance

10$ free to start your VPS

Reply
Thanks given by:
#8
RE: Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
Just gave your update script a try.

Unfortunaly it did not work for me. The script run fined at first sight but it seems it did'nt installed everything due whatever. In the sentora directory the cnf/ map is missing and also the apps/ map.

I think your link for the upgrade script on youre site is the wrong one....?

wget https://github.com/sentora/sentora-insta...install.sh

Here my log:

Code:
Installer version master
Sentora core version 1.0.1

Installing Sentora 1.0.1 at http://loc.localhost.loc and ip ..........
on server under: CentOs  6  x86_64
Linux 192.168.2.7 2.6.32-573.3.1.el6.x86_64 Forum Add-ons and Usage SMP Thu Aug 13 22:55:16 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

-- Updating repositories and packages sources
--2015-09-21 21:44:24--  http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
Resolving dl.fedoraproject.org... 209.132.181.26, 209.132.181.25, 209.132.181.24, ...
Connecting to dl.fedoraproject.org|209.132.181.26|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 14540 (14K) [application/x-rpm]
Saving to: “epel-release-6-8.noarch.rpm”

    0K .......... ....                                       100% 92.8K=0.2s

2015-09-21 21:44:25 (92.8 KB/s) - “epel-release-6-8.noarch.rpm” saved [14540/14540]

warning: /etc/yum.repos.d/epel.repo created as /etc/yum.repos.d/epel.repo.rpmnew
setenforce: SELinux is disabled
sendmail: unrecognized service
error reading information on service sendmail: No such file or directory
iptables: Nothing to save.^[[60G[^[[0;33mWARNING^[[0;39m]^M

-- Listing of all packages installed:
acl-2.2.49-6.el6.x86_64
apr-1.3.9-5.el6_2.x86_64
apr-devel-1.3.9-5.el6_2.x86_64
apr-util-1.3.9-3.el6_0.1.x86_64
apr-util-devel-1.3.9-3.el6_0.1.x86_64
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
at-3.1.10-48.el6.x86_64
attr-2.4.44-7.el6.x86_64
audit-2.3.7-5.el6.x86_64
audit-libs-2.3.7-5.el6.x86_64
authconfig-6.1.12-23.el6.x86_64
autoconf-2.63-5.1.el6.noarch
automake-1.11.1-4.el6.noarch
b43-openfwwf-5.2-10.el6.noarch
basesystem-10.0-4.el6.noarch
bash-4.1.2-33.el6.x86_64
bash-completion-1.3-7.el6.noarch
bind-9.8.2-0.37.rc1.el6_7.4.x86_64
bind-libs-9.8.2-0.37.rc1.el6_7.4.x86_64
bind-utils-9.8.2-0.37.rc1.el6_7.4.x86_64
binutils-2.20.51.0.2-5.43.el6.x86_64
bridge-utils-1.2-10.el6.x86_64
bzip2-1.0.5-7.el6_0.x86_64
bzip2-devel-1.0.5-7.el6_0.x86_64
bzip2-libs-1.0.5-7.el6_0.i686
bzip2-libs-1.0.5-7.el6_0.x86_64
ca-certificates-2015.2.4-65.0.1.el6_6.noarch
centos-release-6-7.el6.centos.12.3.x86_64
checkpolicy-2.0.22-1.el6.x86_64
chkconfig-1.3.49.3-5.el6.x86_64
cloog-ppl-0.15.7-1.2.el6.x86_64
coreutils-8.4-37.el6.x86_64
coreutils-libs-8.4-37.el6.x86_64
cpio-2.10-12.el6_5.x86_64
cpp-4.4.7-16.el6.x86_64
cracklib-2.8.16-4.el6.x86_64
cracklib-dicts-2.8.16-4.el6.x86_64
cronie-1.4.4-15.el6.x86_64
cronie-anacron-1.4.4-15.el6.x86_64
crontabs-1.10-33.el6.noarch
cryptsetup-luks-1.2.0-11.el6.x86_64
cryptsetup-luks-libs-1.2.0-11.el6.x86_64
curl-7.19.7-46.el6.x86_64
cyrus-sasl-2.1.23-15.el6_6.2.x86_64
cyrus-sasl-devel-2.1.23-15.el6_6.2.x86_64
cyrus-sasl-lib-2.1.23-15.el6_6.2.x86_64
dash-0.5.5.1-4.el6.x86_64
db4-4.7.25-19.el6_6.i686
db4-4.7.25-19.el6_6.x86_64
db4-cxx-4.7.25-19.el6_6.x86_64
db4-devel-4.7.25-19.el6_6.x86_64
db4-utils-4.7.25-19.el6_6.x86_64
dbus-glib-0.86-6.el6.x86_64
dbus-libs-1.2.24-8.el6_6.x86_64
device-mapper-1.02.95-3.el6_7.2.x86_64
device-mapper-event-1.02.95-3.el6_7.2.x86_64
device-mapper-event-libs-1.02.95-3.el6_7.2.x86_64
device-mapper-libs-1.02.95-3.el6_7.2.x86_64
device-mapper-multipath-0.4.9-87.el6.x86_64
device-mapper-multipath-libs-0.4.9-87.el6.x86_64
device-mapper-persistent-data-0.3.2-1.el6.x86_64
dhclient-4.1.1-49.P1.el6.centos.x86_64
dhcp-common-4.1.1-49.P1.el6.centos.x86_64
diffutils-2.8.1-28.el6.x86_64
dovecot-2.0.9-19.el6.1.x86_64
dovecot-mysql-2.0.9-19.el6.1.x86_64
dovecot-pigeonhole-2.0.9-19.el6.1.x86_64
dracut-004-388.el6.noarch
dracut-kernel-004-388.el6.noarch
e2fsprogs-1.41.12-22.el6.x86_64
e2fsprogs-libs-1.41.12-22.el6.x86_64
efibootmgr-0.5.4-13.el6.x86_64
elfutils-libelf-0.161-3.el6.x86_64
epel-release-6-8.noarch
ethtool-3.5-6.el6.x86_64
expat-2.0.1-11.el6_2.i686
expat-2.0.1-11.el6_2.x86_64
expat-devel-2.0.1-11.el6_2.x86_64
file-5.04-21.el6.x86_64
file-libs-5.04-21.el6.x86_64
filesystem-2.4.30-3.el6.x86_64
findutils-4.4.2-6.el6.x86_64
fipscheck-1.2.0-7.el6.x86_64
fipscheck-lib-1.2.0-7.el6.x86_64
fontconfig-2.8.0-5.el6.i686
fontconfig-2.8.0-5.el6.x86_64
freetype-2.3.11-15.el6_6.1.i686
freetype-2.3.11-15.el6_6.1.x86_64
fuse-2.8.3-4.el6.x86_64
gamin-0.1.10-9.el6.x86_64
gawk-3.1.7-10.el6.x86_64
gcc-4.4.7-16.el6.x86_64
gcc-c++-4.4.7-16.el6.x86_64
gd-2.0.35-11.el6.i686
gd-2.0.35-11.el6.x86_64
gdbm-1.8.0-38.el6.x86_64
GeoIP-1.6.5-1.el6.x86_64
GeoIP-GeoLite-data-2015.04-2.el6.noarch
GeoIP-GeoLite-data-extra-2015.04-2.el6.noarch
geoipupdate-2.2.1-2.el6.x86_64
git-1.7.1-3.el6_4.1.x86_64
glib2-2.28.8-4.el6.x86_64
glibc-2.12-1.166.el6_7.1.i686
glibc-2.12-1.166.el6_7.1.x86_64
glibc-common-2.12-1.166.el6_7.1.x86_64
glibc-devel-2.12-1.166.el6_7.1.x86_64
glibc-headers-2.12-1.166.el6_7.1.x86_64
gmp-4.3.1-7.el6_2.2.x86_64
gnupg2-2.0.14-8.el6.x86_64
gpgme-1.1.8-3.el6.x86_64
gpg-pubkey-0608b895-4bd22942
gpg-pubkey-c105b9de-4e0fd3a3
gpm-libs-1.20.6-12.el6.x86_64
grep-2.20-3.el6.x86_64
groff-1.18.1.4-21.el6.x86_64
grub-0.97-94.el6.x86_64
grubby-7.0.15-7.el6.x86_64
gzip-1.3.12-22.el6.x86_64
httpd-2.2.15-47.el6.centos.x86_64
httpd-devel-2.2.15-47.el6.centos.x86_64
httpd-tools-2.2.15-47.el6.centos.x86_64
hwdata-0.233-14.1.el6.noarch
info-4.13a-8.el6.x86_64
initscripts-9.03.49-1.el6.centos.x86_64
iproute-2.6.32-45.el6.x86_64
iptables-1.4.7-16.el6.x86_64
iptables-ipv6-1.4.7-16.el6.x86_64
iputils-20071127-20.el6.x86_64
iscsi-initiator-utils-6.2.0.873-14.el6.x86_64
kbd-1.15-11.el6.x86_64
kbd-misc-1.15-11.el6.noarch
kernel-2.6.32-573.3.1.el6.x86_64
kernel-2.6.32-573.el6.x86_64
kernel-firmware-2.6.32-573.3.1.el6.noarch
kernel-headers-2.6.32-573.3.1.el6.x86_64
keyutils-libs-1.4-5.el6.x86_64
keyutils-libs-devel-1.4-5.el6.x86_64
kpartx-0.4.9-87.el6.x86_64
krb5-devel-1.10.3-42.el6.x86_64
krb5-libs-1.10.3-42.el6.x86_64
less-436-13.el6.x86_64
libacl-2.2.49-6.el6.x86_64
libaio-0.3.107-10.el6.x86_64
libattr-2.4.44-7.el6.x86_64
libblkid-2.17.2-12.18.el6.x86_64
libcap-2.16-5.5.el6.x86_64
libcap-ng-0.6.4-3.el6_0.1.x86_64
libc-client-2007e-11.el6.x86_64
libcom_err-1.41.12-22.el6.x86_64
libcom_err-devel-1.41.12-22.el6.x86_64
libcurl-7.19.7-46.el6.x86_64
libcurl-devel-7.19.7-46.el6.x86_64
libdrm-2.4.59-2.el6.x86_64
libedit-2.11-4.20080712cvs.1.el6.x86_64
libffi-3.0.5-3.2.el6.x86_64
libgcc-4.4.7-16.el6.x86_64
libgcrypt-1.4.5-11.el6_4.x86_64
libgomp-4.4.7-16.el6.x86_64
libgpg-error-1.7-4.el6.x86_64
libicu-4.2.1-12.el6.x86_64
libidn-1.18-2.el6.x86_64
libidn-devel-1.18-2.el6.x86_64
libjpeg-turbo-1.2.1-3.el6_5.i686
libjpeg-turbo-1.2.1-3.el6_5.x86_64
libmcrypt-2.5.8-9.el6.x86_64
libnih-1.0.1-7.el6.x86_64
libpciaccess-0.13.3-0.1.el6.x86_64
libpng-1.2.49-1.el6_2.i686
libpng-1.2.49-1.el6_2.x86_64
libselinux-2.0.94-5.8.el6.x86_64
libselinux-devel-2.0.94-5.8.el6.x86_64
libselinux-utils-2.0.94-5.8.el6.x86_64
libsemanage-2.0.43-5.1.el6.x86_64
libsepol-2.0.41-4.el6.x86_64
libsepol-devel-2.0.41-4.el6.x86_64
libss-1.41.12-22.el6.x86_64
libssh2-1.4.2-1.el6_6.1.x86_64
libstdc++-4.4.7-16.el6.x86_64
libstdc++-devel-4.4.7-16.el6.x86_64
libtasn1-2.3-6.el6_5.x86_64
libudev-147-2.63.el6.x86_64
libusb-0.1.12-23.el6.x86_64
libuser-0.56.13-8.el6_7.x86_64
libutempter-1.1.5-4.1.el6.x86_64
libuuid-2.17.2-12.18.el6.x86_64
libX11-1.6.0-6.el6.i686
libX11-1.6.0-6.el6.x86_64
libX11-common-1.6.0-6.el6.noarch
libXau-1.0.6-4.el6.i686
libXau-1.0.6-4.el6.x86_64
libxcb-1.9.1-3.el6.i686
libxcb-1.9.1-3.el6.x86_64
libxml2-2.7.6-20.el6.x86_64
libxml2-devel-2.7.6-20.el6.x86_64
libXpm-3.5.10-2.el6.i686
libXpm-3.5.10-2.el6.x86_64
libxslt-1.1.26-2.el6_3.1.x86_64
logrotate-3.7.8-23.el6.x86_64
lua-5.1.4-4.1.el6.x86_64
lvm2-2.02.118-3.el6_7.2.x86_64
m4-1.4.13-5.el6.x86_64
mailcap-2.1.31-2.el6.noarch
make-3.81-20.el6.x86_64
MAKEDEV-3.24-6.el6.x86_64
mdadm-3.3.2-5.el6.x86_64
mingetty-1.08-5.el6.x86_64
module-init-tools-3.9-25.el6.x86_64
mpfr-2.4.1-6.el6.x86_64
mysql-5.1.73-5.el6_6.x86_64
mysql-devel-5.1.73-5.el6_6.x86_64
mysql-libs-5.1.73-5.el6_6.x86_64
mysql-server-5.1.73-5.el6_6.x86_64
ncurses-5.7-4.20090207.el6.x86_64
ncurses-base-5.7-4.20090207.el6.x86_64
ncurses-libs-5.7-4.20090207.el6.x86_64
net-tools-1.60-110.el6_2.x86_64
newt-0.52.11-3.el6.x86_64
newt-python-0.52.11-3.el6.x86_64
nspr-4.10.8-1.el6_6.x86_64
nss-3.19.1-3.el6_6.x86_64
nss-softokn-3.14.3-23.el6_7.x86_64
nss-softokn-freebl-3.14.3-23.el6_7.i686
nss-softokn-freebl-3.14.3-23.el6_7.x86_64
nss-sysinit-3.19.1-3.el6_6.x86_64
nss-tools-3.19.1-3.el6_6.x86_64
nss-util-3.19.1-1.el6_6.x86_64
openldap-2.4.40-5.el6.x86_64
openldap-devel-2.4.40-5.el6.x86_64
openssh-5.3p1-112.el6_7.x86_64
openssh-clients-5.3p1-112.el6_7.x86_64
openssh-server-5.3p1-112.el6_7.x86_64
openssl-1.0.1e-42.el6.x86_64
openssl-devel-1.0.1e-42.el6.x86_64
p11-kit-0.18.5-2.el6_5.2.x86_64
p11-kit-trust-0.18.5-2.el6_5.2.x86_64
pam-1.1.1-20.el6_7.1.x86_64
passwd-0.77-4.el6_2.2.x86_64
pciutils-libs-3.1.10-4.el6.x86_64
pcre-7.8-7.el6.x86_64
perl-5.10.1-141.el6.x86_64
perl-Bit-Vector-7.1-2.el6.x86_64
perl-Carp-Clan-6.03-2.el6.noarch
perl-Compress-Raw-Zlib-2.021-141.el6.x86_64
perl-Compress-Zlib-2.021-141.el6.x86_64
perl-Date-Calc-6.3-2.el6.noarch
perl-DBD-MySQL-4.013-3.el6.x86_64
perl-DBI-1.609-4.el6.x86_64
perl-Error-0.17015-4.el6.noarch
perl-Git-1.7.1-3.el6_4.1.noarch
perl-HTML-Parser-3.64-2.el6.x86_64
perl-HTML-Tagset-3.20-4.el6.noarch
perl-IO-Compress-Base-2.021-141.el6.x86_64
perl-IO-Compress-Zlib-2.021-141.el6.x86_64
perl-libs-5.10.1-141.el6.x86_64
perl-libwww-perl-5.833-2.el6.noarch
perl-Module-Pluggable-3.90-141.el6.x86_64
perl-Pod-Escapes-1.04-141.el6.x86_64
perl-Pod-Simple-3.13-141.el6.x86_64
perl-URI-1.40-2.el6.noarch
perl-version-0.77-141.el6.x86_64
php-5.3.3-46.el6_6.x86_64
php-cli-5.3.3-46.el6_6.x86_64
php-common-5.3.3-46.el6_6.x86_64
php-devel-5.3.3-46.el6_6.x86_64
php-gd-5.3.3-46.el6_6.x86_64
php-imap-5.3.3-46.el6_6.x86_64
php-intl-5.3.3-46.el6_6.x86_64
php-mbstring-5.3.3-46.el6_6.x86_64
php-mcrypt-5.3.3-3.el6.x86_64
php-mysql-5.3.3-46.el6_6.x86_64
php-pdo-5.3.3-46.el6_6.x86_64
php-xml-5.3.3-46.el6_6.x86_64
php-xmlrpc-5.3.3-46.el6_6.x86_64
pinentry-0.7.6-8.el6.x86_64
pkgconfig-0.23-9.1.el6.x86_64
plymouth-0.8.3-27.el6.centos.1.x86_64
plymouth-core-libs-0.8.3-27.el6.centos.1.x86_64
plymouth-scripts-0.8.3-27.el6.centos.1.x86_64
policycoreutils-2.0.83-24.el6.x86_64
popt-1.13-7.el6.x86_64
portreserve-0.0.4-9.el6.x86_64
postfix-2.6.6-6.el6_5.x86_64
postfix-perl-scripts-2.6.6-6.el6_5.x86_64
ppl-0.10.2-11.el6.x86_64
procps-3.2.8-33.el6.x86_64
proftpd-1.3.3g-4.el6.x86_64
proftpd-mysql-1.3.3g-4.el6.x86_64
psmisc-22.6-19.el6_5.x86_64
pth-2.0.7-9.3.el6.x86_64
pygpgme-0.1-18.20090824bzr68.el6.x86_64
python-2.6.6-64.el6.x86_64
python-iniparse-0.3.1-2.1.el6.noarch
python-libs-2.6.6-64.el6.x86_64
python-pycurl-7.19.0-8.el6.x86_64
python-urlgrabber-3.9.1-9.el6.noarch
readline-6.0-4.el6.x86_64
redhat-logos-60.0.14-12.el6.centos.noarch
rootfiles-8.1-6.1.el6.noarch
rpm-4.8.0-47.el6.x86_64
rpm-libs-4.8.0-47.el6.x86_64
rpm-python-4.8.0-47.el6.x86_64
rsync-3.0.6-12.el6.x86_64
rsyslog-5.8.10-10.el6_6.x86_64
sed-4.2.1-10.el6.x86_64
selinux-policy-3.7.19-279.el6_7.5.noarch
selinux-policy-targeted-3.7.19-279.el6_7.5.noarch
setup-2.8.14-20.el6_4.1.noarch
shadow-utils-4.1.4.2-19.el6_6.1.x86_64
shared-mime-info-0.70-6.el6.x86_64
slang-2.2.1-1.el6.x86_64
sqlite-3.6.20-1.el6_7.2.x86_64
sudo-1.8.6p3-20.el6_7.x86_64
system-config-firewall-base-1.2.27-7.2.el6_6.noarch
sysvinit-tools-2.87-6.dsf.el6.x86_64
tar-1.23-13.el6.x86_64
tcp_wrappers-libs-7.6-57.el6.x86_64
tzdata-2015f-1.el6.noarch
udev-147-2.63.el6.x86_64
unzip-6.0-2.el6_6.x86_64
upstart-0.6.5-13.el6_5.3.x86_64
ustr-1.0.4-9.1.el6.x86_64
util-linux-ng-2.17.2-12.18.el6.x86_64
vim-common-7.4.629-5.el6.x86_64
vim-enhanced-7.4.629-5.el6.x86_64
vim-filesystem-7.4.629-5.el6.x86_64
vim-minimal-7.4.629-5.el6.x86_64
webalizer-2.21_02-3.3.el6.x86_64
wget-1.12-5.el6_6.1.x86_64
which-2.19-6.el6.x86_64
xfsprogs-3.1.1-16.el6.x86_64
xz-libs-4.999.9-0.5.beta.20091007git.el6.x86_64
yum-3.2.29-69.el6.centos.noarch
yum-metadata-parser-1.1.2-16.el6.x86_64
yum-plugin-fastestmirror-1.1.30-30.el6.noarch
zip-3.0-1.el6.x86_64
zlib-1.2.3-29.el6.i686
zlib-1.2.3-29.el6.x86_64
zlib-devel-1.2.3-29.el6.x86_64

-- Updating+upgrading system, it may take some time...
Loaded plugins: fastestmirror
Setting up Update Process
Loading mirror speeds from cached hostfile
No Packages marked for Update
Loaded plugins: fastestmirror
Setting up Upgrade Process
Loading mirror speeds from cached hostfile
No Packages marked for Update

-- Downloading and installing required tools...
Package sudo-1.8.6p3-20.el6_7.x86_64 already installed and latest version
Package 2:vim-enhanced-7.4.629-5.el6.x86_64 already installed and latest version
Package 1:make-3.81-20.el6.x86_64 already installed and latest version
Package zip-3.0-1.el6.x86_64 already installed and latest version
Package unzip-6.0-2.el6_6.x86_64 already installed and latest version
Package chkconfig-1.3.49.3-5.el6.x86_64 already installed and latest version
Package 1:bash-completion-1.3-7.el6.noarch already installed and latest version
Package glibc-2.12-1.166.el6_7.1.i686 already installed and latest version
Package bzip2-libs-1.0.5-7.el6_0.i686 already installed and latest version
Package db4-4.7.25-19.el6_6.i686 already installed and latest version
Package gd-2.0.35-11.el6.i686 already installed and latest version
Package curl-7.19.7-46.el6.x86_64 already installed and latest version
Package libcurl-devel-7.19.7-46.el6.x86_64 already installed and latest version
Package perl-libwww-perl-5.833-2.el6.noarch already installed and latest version
Package libxml2-2.7.6-20.el6.x86_64 already installed and latest version
Package libxml2-devel-2.7.6-20.el6.x86_64 already installed and latest version
Package zip-3.0-1.el6.x86_64 already installed and latest version
Package bzip2-devel-1.0.5-7.el6_0.x86_64 already installed and latest version
Package gcc-4.4.7-16.el6.x86_64 already installed and latest version
Package gcc-c++-4.4.7-16.el6.x86_64 already installed and latest version
Package at-3.1.10-48.el6.x86_64 already installed and latest version
Package 1:make-3.81-20.el6.x86_64 already installed and latest version
Package ca-certificates-2015.2.4-65.0.1.el6_6.noarch already installed and latest version
Package e2fsprogs-1.41.12-22.el6.x86_64 already installed and latest version

-- Downloading Sentora, Please wait, this may take several minutes, the installer will continue after this is complete!
2015-09-21 21:44:51 URL:https://codeload.github.com/sentora/sentora-core/zip/1.0.1 [21798411/21798411] -> "sentora_core.zip" [1]
Upgrading ZPanelCP 10.1.0 to Sentora 1.0.1
2015-09-21 21:44:57 URL:https://codeload.github.com/sentora/sentora-installers/zip/master [98333/98333] -> "sentora_preconfig.zip" [1]
cat: /etc/hostname: No such file or directory
sed: -e expression Forum Add-ons and Usage, char 0: no previous regular expression
Shutting down interface eth0:  ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Shutting down loopback interface:  ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Bringing up loopback interface:  ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Bringing up interface eth0:
Determining IP information for eth0...sed: cannot rename /etc/sedOzRs4Q: Operation not permitted
done.
^[[60G[^[[0;32m  OK  ^[[0;39m]^M

-- Installing MySQL
Package mysql-5.1.73-5.el6_6.x86_64 already installed and latest version
Package mysql-server-5.1.73-5.el6_6.x86_64 already installed and latest version
Starting mysqld:  ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
ERROR 1060 (42S21) at line 68: Duplicate column name 'vh_soaserial_vc'
ERROR 1062 (23000) at line 17: Duplicate entry '48' for key 'PRIMARY'
ERROR 1049 (42000): Unknown database 'sentora_core'
mysqldump: Got errno 32 on write
ERROR 1049 (42000): Unknown database 'sentora_postfix'
mysqldump: Got errno 32 on write
ERROR 1049 (42000): Unknown database 'sentora_proftpd'
mysqldump: Got errno 32 on write
ERROR 1049 (42000): Unknown database 'sentora_roundcube'
mysqldump: Got errno 32 on write

-- Installing Postfix
Package 2:postfix-2.6.6-6.el6_5.x86_64 already installed and latest version
Package 2:postfix-perl-scripts-2.6.6-6.el6_5.x86_64 already installed and latest version
mkdir: cannot create directory `/var/sentora/vmail': File exists
useradd: user 'vmail' already exists
useradd: user 'vacation' already exists

-- Installing Dovecot
Package 1:dovecot-2.0.9-19.el6.1.x86_64 already installed and latest version
Package 1:dovecot-mysql-2.0.9-19.el6.1.x86_64 already installed and latest version
Package 1:dovecot-pigeonhole-2.0.9-19.el6.1.x86_64 already installed and latest version
Starting Dovecot Imap:

-- Installing and configuring Apache
Package httpd-2.2.15-47.el6.centos.x86_64 already installed and latest version
Package httpd-devel-2.2.15-47.el6.centos.x86_64 already installed and latest version
ERROR 1146 (42S02) at line 1: Table 'sentora_core.x_settings' doesn't exist
ERROR 1146 (42S02) at line 1: Table 'sentora_core.x_settings' doesn't exist
-- Installing and configuring PHP
Package php-5.3.3-46.el6_6.x86_64 already installed and latest version
Package php-devel-5.3.3-46.el6_6.x86_64 already installed and latest version
Package php-gd-5.3.3-46.el6_6.x86_64 already installed and latest version
Package php-mbstring-5.3.3-46.el6_6.x86_64 already installed and latest version
Package php-intl-5.3.3-46.el6_6.x86_64 already installed and latest version
Package php-mysql-5.3.3-46.el6_6.x86_64 already installed and latest version
Package php-xml-5.3.3-46.el6_6.x86_64 already installed and latest version
Package php-xmlrpc-5.3.3-46.el6_6.x86_64 already installed and latest version
Package php-mcrypt-5.3.3-3.el6.x86_64 already installed and latest version
Package php-imap-5.3.3-46.el6_6.x86_64 already installed and latest version

# Building suhosin
2015-09-21 21:45:14 URL:https://codeload.github.com/stefanesser/suhosin/zip/0.9.37.1 [238480/238480] -> "suhosin.zip" [1]
Installing shared extensions:     /usr/lib64/php/modules/
Starting httpd:

-- Installing ProFTPD
Package proftpd-1.3.3g-4.el6.x86_64 already installed and latest version
Package proftpd-mysql-1.3.3g-4.el6.x86_64 already installed and latest version
ERROR 1146 (42S02) at line 1: Table 'sentora_proftpd.ftpuser' doesn't exist
ERROR 1146 (42S02) at line 1: Table 'sentora_proftpd.ftpuser' doesn't exist
Starting proftpd: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M

-- Installing and configuring Bind
Package 32:bind-9.8.2-0.37.rc1.el6_7.4.x86_64 already installed and latest version
Package 32:bind-utils-9.8.2-0.37.rc1.el6_7.4.x86_64 already installed and latest version
Package 32:bind-libs-9.8.2-0.37.rc1.el6_7.4.x86_64 already installed and latest version
ERROR 1146 (42S02) at line 1: Table 'sentora_core.x_settings' doesn't exist
ERROR 1146 (42S02) at line 1: Table 'sentora_core.x_settings' doesn't exist
wrote key file "/etc/rndc.key"
Starting named: named: already running^[[60G[^[[0;32m  OK  ^[[0;39m]^M

-- Installing and configuring cron tasks
Package cronie-1.4.4-15.el6.x86_64 already installed and latest version
Package crontabs-1.10-33.el6.noarch already installed and latest version
ERROR 1146 (42S02) at line 1: Table 'sentora_core.x_settings' doesn't exist
ERROR 1146 (42S02) at line 1: Table 'sentora_core.x_settings' doesn't exist
ERROR 1146 (42S02) at line 1: Table 'sentora_core.x_settings' doesn't exist

-- Configuring phpMyAdmin

-- Configuring Roundcube

-- Configuring Webalizer
Package webalizer-2.21_02-3.3.el6.x86_64 already installed and latest version

-- Configuring Sentora
<style type="text/css"><!--
           .dbwarning {
                   font-family: Verdana, Geneva, sans-serif;
                   font-size: 14px;
                color: #C00;
                   background-color: #FCC;
                   padding: 30px;
                   border: 1px solid #C00;
           }
           p {
                   font-size: 12px;
                   color: Custom Vhost entries problem - Not working;
           }
           </style>
           <div class="dbwarning"><strong>Critical Error:</strong> [0100] - Unable to connect or authenticate to the Sentora database (<em>sentora_core</em>).<p>We advice that you contact the server administrator to ensure that the database server is online and that the correct connection parameters are being used.</p></div><style type="text/css"><!--
           .dbwarning {
                   font-family: Verdana, Geneva, sans-serif;
                   font-size: 14px;
                   color: #C00;
                   background-color: #FCC;
                   padding: 30px;
                   border: 1px solid #C00;
           }
           p {
                   font-size: 12px;
                   color: Custom Vhost entries problem - Not working;
           }
           </style>
           <div class="dbwarning"><strong>Critical Error:</strong> [0100] - Unable to connect or authenticate to the Sentora database (<em>sentora_core</em>).<p>We advice that you contact the server administrator to ensure that the database server is online and that the correct connection parameters are being used.</p></div><style type="text/css"><!--
           .dbwarning {
                   font-family: Verdana, Geneva, sans-serif;
                   font-size: 14px;
                   color: #C00;
                   background-color: #FCC;
                   padding: 30px;
                   border: 1px solid #C00;
           }
           p {
                   font-size: 12px;
                   color: Custom Vhost entries problem - Not working;
           }
           </style>
           <div class="dbwarning"><strong>Critical Error:</strong> [0100] - Unable to connect or authenticate to the Sentora database (<em>sentora_core</em>).<p>We advice that you contact the server administrator to ensure that the database server is online and that the correct connection parameters are being used.</p></div><style type="text/css"><!--
           .dbwarning {
                   font-family: Verdana, Geneva, sans-serif;
                   font-size: 14px;
                   color: #C00;
                   background-color: #FCC;
                   padding: 30px;
                   border: 1px solid #C00;
           }
           p {
                   font-size: 12px;
                   color: Custom Vhost entries problem - Not working;
           }
           </style>
         <div class="dbwarning"><strong>Critical Error:</strong> [0100] - Unable to connect or authenticate to the Sentora database (<em>sentora_core</em>).<p>We advice that you contact the server administrator to ensure that the database server is online and that the correct connection parameters are being used.</p></div><style type="text/css"><!--
           .dbwarning {
                   font-family: Verdana, Geneva, sans-serif;
                   font-size: 14px;
                   color: #C00;
                   background-color: #FCC;
                   padding: 30px;
                   border: 1px solid #C00;
           }
           p {
                   font-size: 12px;
                   color: Custom Vhost entries problem - Not working;
           }
           </style>
           <div class="dbwarning"><strong>Critical Error:</strong> [0100] - Unable to connect or authenticate to the Sentora database (<em>sentora_core</em>).<p>We advice that you contact the server administrator to ensure that the database server is online and that the correct connection parameters are being used.</p></div>Stopping mysqld:  ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Starting mysqld:  ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Stopping httpd: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Starting httpd: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Shutting down postfix: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Starting postfix: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Stopping Dovecot Imap: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Starting Dovecot Imap: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Stopping crond: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Starting crond: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Stopping named: .^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Starting named: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Shutting down proftpd: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Starting proftpd: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Stopping atd: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Starting atd: ^[[60G[^[[0;32m  OK  ^[[0;39m]^M
Restart your server now to complete the install (y/n)? y
[Image: logo2.png]

My being on this forum is all personal and all is done here by me has nothing to with the company Web Improved I work for Smile
Reply
Thanks given by:
#9
RE: Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
Something wrong with that server by the looks of the logs.. No /etc/hostname and move of random garb folder name failed and the SQL upgrade script didn't run...

Any chance you can revert to the ZPanel old before upgrade and let me have a go at it?
Reply
Thanks given by:
#10
RE: Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta
(09-22-2015, 04:19 AM)kandrews Wrote: Something wrong with that server by the looks of the logs.. No /etc/hostname and move of random garb folder name failed and the SQL upgrade script didn't run...

Any chance you can revert to the ZPanel old before upgrade and let me have a go at it?

I will revert the server tonight.
[Image: logo2.png]

My being on this forum is all personal and all is done here by me has nothing to with the company Web Improved I work for Smile
Reply
Thanks given by:


Possibly Related Threads...
Thread Author Replies Views Last Post
sentora 1.0.3 & critical patch for sentora 1.0.x Me.B 24 36,499 10-11-2015, 10:20 PM
Last Post: Finallf
From ZPanel upto Sentora 5050 41 58,215 09-18-2015, 08:21 PM
Last Post: kandrews
Sentora 1.0.0 patch (Centos 6.x Only) Me.B 9 21,258 04-01-2015, 12:04 PM
Last Post: akong

Forum Jump:


Users browsing this thread: 1 Guest(s)